package com.laihua.pushtestproject

import android.app.Application
import com.laihua.push.PushManager
import com.laihua.push.platform.InitParam
import com.laihua.push.utils.LogUtils

/**
 * Author: pengjunjing
 * Date: 2021/5/18
 * Description:
 */
class MyApplication : Application() {

    override fun onCreate() {
        super.onCreate()
        PushManager.instance.initContext(this)
        PushManager.instance.initMiPush(
            InitParam("2882303761519924093", "5121992433093"),
            { LogUtils.i("小米推送SDK初始化成功:$it") },
            { LogUtils.i("小米推送SDK初始化失败:${it.message}") })

        PushManager.instance.initHmsPush(
            { LogUtils.i("华为推送SDK初始化成功:$it") },
            { LogUtils.i("华为推送SDK初始化失败:${it.message}") })

        //OPPO APPID 30532383
        PushManager.instance.initOppoPush(
            InitParam("220c8dc643ce4a709b116a0aa26e6bf4", "0305238c1c6949c38caa1fdd8070b4aa"),
            { LogUtils.i("OPPO推送SDK初始化成功:$it") },
            { LogUtils.i("OPPO推送SDK初始化失败:${it.message}") }
        )

        PushManager.instance.initFlyMe(
            InitParam("141361", "f3e78d580c7d46c295263b3dde94ca72"),
            { LogUtils.i("Flyme推送SDK初始化成功:$it") },
            { LogUtils.i("Flyme推送SDK初始化失败:${it.message}") })

        //vivo的配置信息直接在manifest配置
        PushManager.instance.initVivo(
            { LogUtils.i("VIVO推送SDK初始化成功:$it") },
            { LogUtils.i("VIVO推送SDK初始化失败:${it.message}") })

    }
}